%define upstream_name    File-Find-Rule-Perl
%define upstream_version 1.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Common rules for searching for Perl things
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Find::Rule) >= 0.200.0
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(Params::Util) >= 0.380.0
BuildRequires: perl(Parse::CPAN::Meta) >= 1.380.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
I write a lot of things that muck with Perl files. And it always annoyed me
that finding "perl files" requires a moderately complex the
File::Find::Rule manpage pattern.

*File::Find::Rule::Perl* provides methods for finding various Perl-related
files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
#make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.130.0-2.mga3
+ Revision: 367223
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.130.0-1.mga3
+ Revision: 315057
- update to 1.13

* Sat Nov 05 2011 kharec <kharec> 1.120.0-1.mga2
+ Revision: 163612
- update to 1.12

* Sun Jan 23 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 33770
- mageia rebuild
- imported package perl-File-Find-Rule-Perl

